{
  "aggMode" : "NONE",
  "codeName" : "Usr08223952GridView_Grid",
  "columnEnableFilter" : 2,
  "columnEnableLink" : 0,
  "controlType" : "GRID",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID/PSGRIDS/Usr08223952GridView_Grid.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch",
    "actionType" : "DEDATASET",
    "name" : "fetch",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
    }
  },
  "gridStyle" : "GROUPGRID",
  "groupMode" : "NONE",
  "logicName" : "数据表格数据模型_表格",
  "minorSortDir" : "ASC",
  "getMinorSortPSAppDEField" : {
    "name" : "TEST1",
    "codeName" : "Test1"
  },
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
  },
  "getPSDEGridColumns" : [ {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "getCapPSLanguageRes" : {
      "defaultContent" : "测试表格名称",
      "lanResTag" : "DEF.LNAME.TESTGRIDNAME",
      "lanResType" : "DEF.LNAME",
      "name" : "属性逻辑名称（DEF.LNAME.*）[TESTGRIDNAME]",
      "refFlag" : true
    },
    "caption" : "测试表格名称",
    "codeName" : "testgridname",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "testgridname",
    "excelCaption" : "测试表格名称",
    "name" : "testgridname",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "TESTGRIDNAME",
      "codeName" : "TESTGRIDName"
    },
    "width" : 150,
    "widthUnit" : "PX",
    "enableSort" : false
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "FRONT",
    "getCapPSLanguageRes" : {
      "defaultContent" : "更新人",
      "lanResTag" : "DEF.LNAME.UPDATEMAN",
      "lanResType" : "DEF.LNAME",
      "name" : "属性逻辑名称（DEF.LNAME.*）[UPDATEMAN]",
      "refFlag" : true
    },
    "caption" : "更新人",
    "codeName" : "updateman",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "updateman",
    "excelCaption" : "更新人",
    "name" : "updateman",
    "noPrivDisplayMode" : 1,
    "getPSAppCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
    },
    "getPSAppDEField" : {
      "name" : "UPDATEMAN",
      "codeName" : "UpdateMan"
    },
    "width" : 150,
    "widthUnit" : "PX",
    "enableSort" : false
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "getCapPSLanguageRes" : {
      "defaultContent" : "更新时间",
      "lanResTag" : "DEF.LNAME.UPDATEDATE",
      "lanResType" : "DEF.LNAME",
      "name" : "属性逻辑名称（DEF.LNAME.*）[UPDATEDATE]",
      "refFlag" : true
    },
    "caption" : "更新时间",
    "codeName" : "updatedate",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "updatedate",
    "excelCaption" : "更新时间",
    "name" : "updatedate",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    },
    "valueFormat" : "YYYY-MM-DD HH:mm:ss",
    "width" : 150,
    "widthUnit" : "PX",
    "enableSort" : false
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "caption" : "属性4",
    "codeName" : "test4",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "test4",
    "excelCaption" : "属性4",
    "name" : "test4",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "TEST4",
      "codeName" : "Test4"
    },
    "width" : 150,
    "widthUnit" : "PX",
    "enableRowEdit" : true,
    "enableSort" : false
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "caption" : "属性3",
    "codeName" : "test3",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "test3",
    "excelCaption" : "属性3",
    "name" : "test3",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "TEST3",
      "codeName" : "Test3"
    },
    "width" : 150,
    "widthUnit" : "PX",
    "enableRowEdit" : true,
    "enableSort" : false
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "FRONT",
    "getCapPSLanguageRes" : {
      "defaultContent" : "建立人",
      "lanResTag" : "DEF.LNAME.CREATEMAN",
      "lanResType" : "DEF.LNAME",
      "name" : "属性逻辑名称（DEF.LNAME.*）[CREATEMAN]",
      "refFlag" : true
    },
    "caption" : "建立人",
    "codeName" : "createman",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "createman",
    "excelCaption" : "建立人",
    "name" : "createman",
    "noPrivDisplayMode" : 1,
    "getPSAppCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
    },
    "getPSAppDEField" : {
      "name" : "CREATEMAN",
      "codeName" : "CreateMan"
    },
    "width" : 150,
    "widthUnit" : "PX",
    "enableRowEdit" : true,
    "enableSort" : false
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "caption" : "属性2",
    "codeName" : "test2",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "test2",
    "excelCaption" : "属性2",
    "name" : "test2",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "TEST2",
      "codeName" : "Test2"
    },
    "width" : 150,
    "widthUnit" : "PX",
    "enableRowEdit" : true,
    "enableSort" : false
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "getCapPSLanguageRes" : {
      "defaultContent" : "测试表格标识",
      "lanResTag" : "DEF.LNAME.TESTGRIDID",
      "lanResType" : "DEF.LNAME",
      "name" : "属性逻辑名称（DEF.LNAME.*）[TESTGRIDID]",
      "refFlag" : true
    },
    "caption" : "测试表格标识",
    "codeName" : "testgridid",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "testgridid",
    "excelCaption" : "测试表格标识",
    "name" : "testgridid",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "TESTGRIDID",
      "codeName" : "TESTGRIDId"
    },
    "width" : 100,
    "widthUnit" : "PX",
    "enableSort" : false
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "getCapPSLanguageRes" : {
      "defaultContent" : "建立时间",
      "lanResTag" : "DEF.LNAME.CREATEDATE",
      "lanResType" : "DEF.LNAME",
      "name" : "属性逻辑名称（DEF.LNAME.*）[CREATEDATE]",
      "refFlag" : true
    },
    "caption" : "建立时间",
    "codeName" : "createdate",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "createdate",
    "excelCaption" : "建立时间",
    "name" : "createdate",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "CREATEDATE",
      "codeName" : "CreateDate"
    },
    "valueFormat" : "YYYY-MM-DD HH:mm:ss",
    "width" : 150,
    "widthUnit" : "PX",
    "enableSort" : false
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "caption" : "属性",
    "codeName" : "test1",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "test1",
    "excelCaption" : "属性",
    "name" : "test1",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "TEST1",
      "codeName" : "Test1"
    },
    "width" : 150,
    "widthUnit" : "PX",
    "enableRowEdit" : true,
    "enableSort" : false
  } ],
  "getPSDEGridDataItems" : [ {
    "dataType" : 25,
    "name" : "testgridname",
    "getPSAppDEField" : {
      "name" : "TESTGRIDNAME",
      "codeName" : "TESTGRIDName"
    }
  }, {
    "dataType" : 25,
    "name" : "updateman",
    "getPSAppDEField" : {
      "name" : "UPDATEMAN",
      "codeName" : "UpdateMan"
    }
  }, {
    "format" : "YYYY-MM-DD HH:mm:ss",
    "dataType" : 5,
    "name" : "updatedate",
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "dataType" : 25,
    "name" : "test4",
    "getPSAppDEField" : {
      "name" : "TEST4",
      "codeName" : "Test4"
    }
  }, {
    "dataType" : 25,
    "name" : "test3",
    "getPSAppDEField" : {
      "name" : "TEST3",
      "codeName" : "Test3"
    }
  }, {
    "dataType" : 25,
    "name" : "createman",
    "getPSAppDEField" : {
      "name" : "CREATEMAN",
      "codeName" : "CreateMan"
    }
  }, {
    "dataType" : 25,
    "name" : "test2",
    "getPSAppDEField" : {
      "name" : "TEST2",
      "codeName" : "Test2"
    }
  }, {
    "dataType" : 25,
    "name" : "testgridid",
    "getPSAppDEField" : {
      "name" : "TESTGRIDID",
      "codeName" : "TESTGRIDId"
    }
  }, {
    "format" : "YYYY-MM-DD HH:mm:ss",
    "dataType" : 5,
    "name" : "createdate",
    "getPSAppDEField" : {
      "name" : "CREATEDATE",
      "codeName" : "CreateDate"
    }
  }, {
    "dataType" : 25,
    "name" : "test1",
    "getPSAppDEField" : {
      "name" : "TEST1",
      "codeName" : "Test1"
    }
  }, {
    "dataType" : 25,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "TESTGRIDID",
      "codeName" : "TESTGRIDId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfdataaccaction",
    "getPSAppDEField" : {
      "name" : "TESTGRIDID",
      "codeName" : "TESTGRIDId"
    },
    "dataAccessAction" : true
  }, {
    "dataType" : 25,
    "name" : "srfmajortext",
    "getPSAppDEField" : {
      "name" : "TESTGRIDNAME",
      "codeName" : "TESTGRIDName"
    }
  } ],
  "getPSDEGridEditItems" : [ {
    "caption" : "属性4",
    "codeName" : "test4",
    "enableCond" : 3,
    "ignoreInput" : 0,
    "name" : "test4",
    "getPSAppDEField" : {
      "name" : "TEST4",
      "codeName" : "Test4"
    },
    "getPSEditor" : {
      "editorType" : "TEXTBOX",
      "maxLength" : 100,
      "name" : "test4"
    },
    "allowEmpty" : true
  }, {
    "caption" : "属性3",
    "codeName" : "test3",
    "enableCond" : 3,
    "ignoreInput" : 0,
    "name" : "test3",
    "getPSAppDEField" : {
      "name" : "TEST3",
      "codeName" : "Test3"
    },
    "getPSEditor" : {
      "editorType" : "TEXTBOX",
      "maxLength" : 100,
      "name" : "test3"
    },
    "allowEmpty" : true
  }, {
    "caption" : "建立人",
    "codeName" : "createman",
    "enableCond" : 3,
    "ignoreInput" : 3,
    "name" : "createman",
    "getPSAppDEField" : {
      "name" : "CREATEMAN",
      "codeName" : "CreateMan"
    },
    "getPSEditor" : {
      "editorType" : "SPAN",
      "name" : "createman",
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
      },
      "enableLinkView" : false
    },
    "allowEmpty" : true,
    "convertToCodeItemText" : true
  }, {
    "caption" : "属性2",
    "codeName" : "test2",
    "enableCond" : 3,
    "ignoreInput" : 0,
    "name" : "test2",
    "getPSAppDEField" : {
      "name" : "TEST2",
      "codeName" : "Test2"
    },
    "getPSEditor" : {
      "editorType" : "TEXTBOX",
      "maxLength" : 100,
      "name" : "test2"
    },
    "allowEmpty" : true
  }, {
    "caption" : "属性",
    "codeName" : "test1",
    "enableCond" : 3,
    "ignoreInput" : 0,
    "name" : "test1",
    "getPSAppDEField" : {
      "name" : "TEST1",
      "codeName" : "Test1"
    },
    "getPSEditor" : {
      "editorType" : "TEXTBOX",
      "maxLength" : 100,
      "name" : "test1"
    },
    "allowEmpty" : true
  }, {
    "caption" : "测试表格标识",
    "codeName" : "srfkey",
    "enableCond" : 3,
    "ignoreInput" : 0,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "TESTGRIDID",
      "codeName" : "TESTGRIDId"
    },
    "getPSEditor" : {
      "editorType" : "HIDDEN",
      "name" : "srfkey"
    },
    "allowEmpty" : true
  } ],
  "pagingSize" : 20,
  "getRemovePSControlAction" : {
    "actionName" : "Remove",
    "actionType" : "DEACTION",
    "dataAccessAction" : "DELETE",
    "name" : "remove",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
    }
  },
  "sortMode" : "REMOTE",
  "hasWFDataItems" : false,
  "enableColFilter" : false,
  "enableCustomized" : true,
  "enableGroup" : false,
  "enablePagingBar" : false,
  "enableRowEdit" : false,
  "enableRowEditOrder" : false,
  "enableRowNew" : false,
  "forceFit" : false,
  "hideHeader" : true,
  "noSort" : true,
  "singleSelect" : false,
  "modelid" : "4BE5F198-0E16-4A04-A4C5-280E62387045",
  "modeltype" : "PSDEGRID"
}